- Main Page
- Classes
- Files

- File List
- File Members

# flModelOBJ.c File Reference

`#include "flGlobal.h"`
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <psprtc.h>`

Go to the source code of this file.

## Functions
bool | mdl3dStatLoadOBJ_faceRead (u8 *inFaceStr, Model3dStaticFace *inFacePtr, Model3dStatic *inModel, Texture *inCurTexture, int inVertPtr, int inTexVertPtr, int inNormPtr)
Model3dStatic * | mdl3dStatLoadOBJ (char *inPath)
bool | mdl3dStatSaveOBJ (char *inPath, Model3dStatic *inModel)

## Function Documentation

Model3dStatic* mdl3dStatLoadOBJ | ( | char * | inPath | ) |

Definition at line 136 of file flModelOBJ.c.

References ASCII_TAB, debugWarning, FILE_MODE_READ, FILE_SEEK_SET, fileClose(), fileExists(), fileGets(), fileOpen(), fileSeek(), mdl3dStatFree(), mdl3dStatLoadOBJ_faceRead(), Model3dStatic::mdlFaceCount, Model3dStatic::mdlFaces, Model3dStatic::mdlNormalCount, Model3dStatic::mdlNormals, Model3dStatic::mdlOptimized, Model3dStatic::mdlTextureCount, Model3dStatic::mdlTextures, Model3dStatic::mdlTexVertCount, Model3dStatic::mdlTexVerts, Model3dStatic::mdlVertCount, Model3dStatic::mdlVerts, memAlloc, NULL, and texLoad().

Referenced by mdl3dStatLoad().

bool mdl3dStatLoadOBJ_faceRead | ( | u8 * | inFaceStr,
|  | Model3dStaticFace * | inFacePtr,
|  | Model3dStatic * | inModel,
|  | Texture * | inCurTexture,
|  | int | inVertPtr,
|  | int | inTexVertPtr,
|  | int | inNormPtr |
| ) |  |  |

Definition at line 23 of file flModelOBJ.c.

References ASCII_TAB, debugWarning, Model3dStaticFace::mdlfNormals, Model3dStaticFace::mdlfTexture, Model3dStaticFace::mdlfTexVerts, Model3dStaticFace::mdlfVertCount, Model3dStaticFace::mdlfVerts, Model3dStatic::mdlNormals, Model3dStatic::mdlTexVerts, Model3dStatic::mdlVerts, memAlloc, memClear, and NULL.

Referenced by mdl3dStatLoadOBJ().

bool mdl3dStatSaveOBJ | ( | char * | inPath,
|  | Model3dStatic * | inModel |
| ) |  |  |

Definition at line 278 of file flModelOBJ.c.

References debugWarning, FILE_MODE_WRITE, fileOpen(), filePuts(), Model3dStatic::mdlFaceCount, Model3dStatic::mdlFaces, Model3dStaticFace::mdlfTexture, Model3dStaticFace::mdlfVertCount, Model3dStatic::mdlNormalCount, Model3dStatic::mdlNormals, Model3dStatic::mdlTextureCount, Model3dStatic::mdlTexVertCount, Model3dStatic::mdlTexVerts, Model3dStatic::mdlVertCount, Model3dStatic::mdlVerts, and texPath().

Referenced by mdl3dStatSave().